Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.dba.sybase
Class SybaseAdapter

    java.lang.Object
      org.apache.cayenne.dba.JdbcAdapter
          org.apache.cayenne.dba.sybase.SybaseAdapter

All Implemented Interfaces:
  DbAdapter

Direct Known Subclasses:
  SQLServerAdapter

    public class SybaseAdapter

extends JdbcAdapter

DbAdapter implementation for Sybase RDBMS.

Field Summary

Fields inherited from class org.apache.cayenne.dba.JdbcAdapter
`ejbqlTranslatorFactory, extendedTypes, identifiersEndQuote, identifiersStartQuote, pkGenerator, supportsBatchUpdates, supportsFkConstraints, supportsGeneratedKeys, supportsUniqueConstraints, typesHandler`

Constructor Summary
`SybaseAdapter()`

Method Summary
`void` | `bindParameter(PreparedStatement statement, Object object, int pos, int sqlType, int precision)` Binds an object value to PreparedStatement's numbered parameter.
`protected void` | `configureExtendedTypes(ExtendedTypeMap map)` Installs appropriate ExtendedTypes as converters for passing values between JDBC and Java layers.
`protected PkGenerator` | `createPkGenerator()` Creates and returns a primary key generator.
`String` | `getBatchTerminator()` Returns word "go".

Methods inherited from class org.apache.cayenne.dba.JdbcAdapter
`buildAttribute, createEJBQLTranslatorFactory, createFkConstraint, createTable, createTableAppendColumn, createTableAppendPKClause, createUniqueConstraint, dropTable, dropTableStatements, externalTypesForJdbcType, findAdapterResource, findResource, getAction, getEjbqlTranslatorFactory, getExtendedTypes, getIdentifiersEndQuote, getIdentifiersStartQuote, getPkGenerator, getQualifierTranslator, getQuotingStrategy, initIdentifiersQuotes, mergerFactory, setEjbqlTranslatorFactory, setPkGenerator, setSupportsBatchUpdates, setSupportsFkConstraints, setSupportsGeneratedKeys, setSupportsUniqueConstraints, supportsBatchUpdates, supportsFkConstraints, supportsGeneratedKeys, supportsUniqueConstraints, tableTypeForTable, tableTypeForView`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SybaseAdapter

    public SybaseAdapter()

Method Detail

### getBatchTerminator

    public String getBatchTerminator()

  Returns word "go".

  Specified by:
    `getBatchTerminator` in interface `DbAdapter`
  Overrides:
    `getBatchTerminator` in class `JdbcAdapter`
  Since:
    1.0.4

### configureExtendedTypes

    protected void configureExtendedTypes(ExtendedTypeMap map)

  Installs appropriate ExtendedTypes as converters for passing values between JDBC and Java layers.

  Overrides:
    `configureExtendedTypes` in class `JdbcAdapter`

### createPkGenerator

    protected PkGenerator createPkGenerator()

  Creates and returns a primary key generator. Overrides superclass implementation to return an instance of SybasePkGenerator.

  Overrides:
    `createPkGenerator` in class `JdbcAdapter`

### bindParameter

    public void bindParameter(PreparedStatement statement,
                              Object object,
                              int pos,
                              int sqlType,
                              int precision)
                       throws SQLException,
                              Exception

  Description copied from interface: `DbAdapter`
  Binds an object value to PreparedStatement's numbered parameter.

  Specified by:
    `bindParameter` in interface `DbAdapter`
  Overrides:
    `bindParameter` in class `JdbcAdapter`
  Throws:
    `SQLException`
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2009 Apache Cayenne. All Rights Reserved.